%global debug_package %{nil}

Name:		xdiagnose
Version:	1.0.1
Release:	4
Summary:	system diagnostic tool set

License:	MulanPSL-2.0
URL:		https://gitee.com/openeuler/X-diagnosis
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:  python3 python3-setuptools 
BuildRequires:	elfutils-devel clang llvm libbpf libbpf-devel libbpf-static bpftool dwarves cmake
BuildRequires:  kernel-debuginfo gdb

%description
Xdiagnose is an OS troubleshooting tool that integrates functions such as analysis, network tracking, periodic information recording, and historical experience curing.

%prep
%setup -n %{name}-%{version}

%build
pushd src/python
python3 setup.py build
popd
sh build/build.sh -b %{buildroot}/%{_bindir}

%install
pushd src/python
python3 setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
popd
sh build/build.sh -i %{buildroot}/%{_bindir}
mkdir -p %{buildroot}%{_sysconfdir}/x-diagnose
cp -a config/diag.conf %{buildroot}%{_sysconfdir}/x-diagnose
cp -a config/sysinspect.conf %{buildroot}%{_sysconfdir}/x-diagnose

%clean
rm -rf $RPM_BUILD_ROOT


%files -f src/python/INSTALLED_FILES
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/x-diagnose/diag.conf
%config(noreplace) %{_sysconfdir}/x-diagnose/sysinspect.conf
%{_bindir}/*


%changelog
* Sun June 25 2023 wangxiaogang<wangxiaogang3@huawei.com> - 1.0.1-4
- fix param error

* Wed June 12 2023 wangxiaogang<wangxiaogang3@huawei.com> - 1.0.1-3
- fix python pack error 

* Wed June 7 2023 wangxiaogang<wangxiaogang3@huawei.com> - 1.0.1-2
- new framework

* Fri Dec 2 2022 lankstra<lankstra@163.com> - 1.0.1-1
- init version.
